Bug 1308480 - Review Request: wlc - Wayland compositor library
Review Request: wlc - Wayland compositor library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On: 1308479
Blocks: 1308561
  Show dependency treegraph
 
Reported: 2016-02-15 05:37 EST by Fabio Alessandro Locati
Modified: 2016-07-18 16:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 11:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-02-15 05:37:28 EST
Spec URL: https://fale.fedorapeople.org/rpms/wlc.spec
SRPM URL: https://fale.fedorapeople.org/rpms/wlc-0-1.20160214gitfbb1c69.fc23.src.rpm
Description: Wayland compositor library
Fedora Account System Username: fale
Comment 1 Fabio Alessandro Locati 2016-04-06 12:45:48 EDT
I upgraded to the current released version:

SPEC: https://fale.fedorapeople.org/rpms/wlc.spec
SRPM: https://fale.fedorapeople.org/rpms/wlc-0.0.1-1.fc23.src.rpm
Comment 2 Fabio Alessandro Locati 2016-05-06 11:40:45 EDT
I updated to current released version:

SPEC: https://fale.fedorapeople.org/rpms/wlc.spec
SRPM: https://fale.fedorapeople.org/rpms/wlc-0.0.2-1.fc23.src.rpm
Comment 4 Adam Miller 2016-07-06 17:13:45 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 83 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/1308480-wlc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/wlc
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/wlc
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in wlc-
     devel , wlc-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wlc-0.0.3-1.fc25.x86_64.rpm
          wlc-devel-0.0.3-1.fc25.x86_64.rpm
          wlc-debuginfo-0.0.3-1.fc25.x86_64.rpm
          wlc-0.0.3-1.fc25.src.rpm
wlc.x86_64: W: spelling-error Summary(en_US) Wayland -> Waylaid, Way land, Way-land
wlc.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libwlc.so.0.0.3
wlc-devel.x86_64: W: spelling-error Summary(en_US) Wayland -> Waylaid, Way land, Way-land
wlc-devel.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wlc-debuginfo-0.0.3-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
wlc.x86_64: W: spelling-error Summary(en_US) Wayland -> Waylaid, Way land, Way-land
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-atlas.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-buffer.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-dl.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-fs.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-sjis.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-tqueue.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-unicode.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libchck-xdg.so.0
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libm.so.6
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libXfixes.so.3
wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3 /lib64/libxcb-ewmh.so.2
wlc.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libwlc.so.0.0.3
wlc-devel.x86_64: W: spelling-error Summary(en_US) Wayland -> Waylaid, Way land, Way-land
wlc-devel.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 1 errors, 14 warnings.



Requires
--------
wlc (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libEGL.so.1()(64bit)
    libGLESv2.so.2()(64bit)
    libX11-xcb.so.1()(64bit)
    libX11.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libc.so.6()(64bit)
    libchck-atlas.so.0()(64bit)
    libchck-buffer.so.0()(64bit)
    libchck-dl.so.0()(64bit)
    libchck-fs.so.0()(64bit)
    libchck-lut.so.0()(64bit)
    libchck-pool.so.0()(64bit)
    libchck-sjis.so.0()(64bit)
    libchck-string.so.0()(64bit)
    libchck-tqueue.so.0()(64bit)
    libchck-unicode.so.0()(64bit)
    libchck-xdg.so.0()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-1.so.3(LIBDBUS_1_3)(64bit)
    libdl.so.2()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libinput.so.10()(64bit)
    libinput.so.10(LIBINPUT_0.12.0)(64bit)
    libm.so.6()(64bit)
    libpixman-1.so.0()(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_209)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libwayland-server.so.0()(64bit)
    libxcb-composite.so.0()(64bit)
    libxcb-ewmh.so.2()(64bit)
    libxcb-image.so.0()(64bit)
    libxcb-xfixes.so.0()(64bit)
    libxcb-xkb.so.1()(64bit)
    libxcb.so.1()(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    rtld(GNU_HASH)

wlc-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libwlc.so.0()(64bit)
    pkgconfig(libinput)
    pkgconfig(libudev)
    pkgconfig(pixman-1)
    pkgconfig(wayland-server)
    pkgconfig(xkbcommon)
    wlc(x86-64)

wlc-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
wlc:
    libwlc.so.0()(64bit)
    wlc
    wlc(x86-64)

wlc-devel:
    pkgconfig(wlc)
    wlc-devel
    wlc-devel(x86-64)

wlc-debuginfo:
    wlc-debuginfo
    wlc-debuginfo(x86-64)



Source checksums
----------------
https://github.com/Cloudef/wlc/archive/v0.0.3.tar.gz#/wlc-0.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0ab2a769496c1205032ba372fe8387ffd81d8d393d95fdfbf880f6cce009acbb
  CHECKSUM(SHA256) upstream package : 0ab2a769496c1205032ba372fe8387ffd81d8d393d95fdfbf880f6cce009acbb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1308480 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Notes
-----
The rpmlint output doesn't appear concerning and the SPEC is well done.

APPROVED
Comment 5 Fabio Alessandro Locati 2016-07-07 03:11:33 EDT
Thanks Adam :)
Comment 6 Gwyn Ciesla 2016-07-07 09:01:40 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/wlc
Comment 7 Fedora Update System 2016-07-07 10:28:59 EDT
wlc-0.0.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce6d60e561
Comment 8 Fedora Update System 2016-07-07 10:29:07 EDT
wlc-0.0.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1978f0497a
Comment 9 Fedora Update System 2016-07-09 23:53:05 EDT
wlc-0.0.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce6d60e561
Comment 10 Fedora Update System 2016-07-10 11:58:46 EDT
wlc-0.0.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1978f0497a
Comment 11 Till Hofmann 2016-07-12 08:11:40 EDT
(In reply to Adam Miller from comment #4)

> wlc.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwlc.so.0.0.3
> /lib64/libchck-atlas.so.0

Randomly stopping by: You can fix these by adding '-Wl,--as-needed' to the CFLAGS, see https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
Comment 12 Fedora Update System 2016-07-12 11:02:22 EDT
wlc-0.0.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-07-18 16:52:35 EDT
wlc-0.0.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.